.select2-selection.select2-selection--single,
.select2.select2-container,
span.select2-dropdown {
    width: auto !important;
    min-width: 300px !important;
    max-width: 640px;
}

.select2-results__option {
    white-space: nowrap;
}

.select2-dropdown--above {
    border-bottom: 1px solid #aaa !important;
}

.select2-container--default .select2-selection--single {
    border-radius: 2px !important;
}

.select2-search--dropdown {
    padding: 0 !important;
}
.select2-search--dropdown input {
    padding-top: 0.36em !important;
    padding-bottom: 0.36em !important;
}

.select2-container--default .select2-results__option[aria-disabled=true] {
    color: #b4b4b4 !important;
}

.select2-container--default .select2-search--dropdown .select2-search__field {
    border-left: none !important;
    border-right: none !important;
}

.select2-container--default .select2-results > .select2-results__options {
    max-height: 360px !important;
}

.select2-results__option {
    padding: 2px 6px !important;
}

ol.asmList + select + .select2-container {
    display: none !important;
}

.select2-results__option:empty {
    display: none;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    right: 4px !important;
}

.select2-container .select2-selection--single .select2-selection__rendered {
    padding-right: 24px !important;
}

.AdminThemeUikit .select2-container .select2-selection--single {
    height: 32px;
}
.AdminThemeUikit .select2-selection__rendered {
    line-height: 30px;
}
.AdminThemeUikit .select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 30px;
    right: 6px;
}
.AdminThemeUikit .select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 30px;
}
.AdminThemeUikit .select2-container .select2-selection--single .select2-selection__rendered {
    padding-left: 10px;
}
